=== modified file 'drizzled/charset_info.h'
--- drizzled/charset_info.h	2011-04-16 12:24:04 +0000
+++ drizzled/charset_info.h	2011-04-20 23:37:30 +0000
@@ -34,8 +34,6 @@
 #define MY_CS_SORT_ORDER_TABLE_SIZE	256
 #define MY_CS_TO_UNI_TABLE_SIZE		256
 
-#define CHARSET_DIR	"charsets/"
-
 #define my_wc_t unsigned long
 
 typedef struct unicase_info_st
@@ -65,8 +63,6 @@
 #define MY_CS_TOOSMALL3 -103  /* Need at least three bytes: wc_mb and mb_wc */
 /* These following three are currently not really used */
 #define MY_CS_TOOSMALL4 -104  /* Need at least 4 bytes: wc_mb and mb_wc */
-#define MY_CS_TOOSMALL5 -105  /* Need at least 5 bytes: wc_mb and mb_wc */
-#define MY_CS_TOOSMALL6 -106  /* Need at least 6 bytes: wc_mb and mb_wc */
 
 /* A helper function for "need at least n bytes" */
 inline static int my_cs_toosmalln(int n)
@@ -79,8 +75,6 @@
 
         /* My charsets_list flags */
 #define MY_CS_COMPILED  1      /* compiled-in sets               */
-#define MY_CS_CONFIG    2      /* sets that have a *.conf file   */
-#define MY_CS_INDEX     4      /* sets listed in the Index file  */
 #define MY_CS_LOADED    8      /* sets that are currently loaded */
 #define MY_CS_BINSORT	16     /* if binary sort order           */
 #define MY_CS_PRIMARY	32     /* if primary collation           */
@@ -88,41 +82,18 @@
 #define MY_CS_UNICODE	128    /* is a charset is full unicode   */
 #define MY_CS_READY	256    /* if a charset is initialized    */
 #define MY_CS_AVAILABLE	512    /* If either compiled-in or loaded*/
-#define MY_CS_CSSORT	1024   /* if case sensitive sort order   */
 #define MY_CS_HIDDEN	2048   /* don't display in SHOW          */
-#define MY_CS_NONASCII  8192   /* if not ASCII-compatible        */
-#define MY_CHARSET_UNDEFINED 0
 
 /* Flags for strxfrm */
-#define MY_STRXFRM_LEVEL1          0x00000001 /* for primary weights   */
-#define MY_STRXFRM_LEVEL2          0x00000002 /* for secondary weights */
-#define MY_STRXFRM_LEVEL3          0x00000004 /* for tertiary weights  */
-#define MY_STRXFRM_LEVEL4          0x00000008 /* fourth level weights  */
-#define MY_STRXFRM_LEVEL5          0x00000010 /* fifth level weights   */
-#define MY_STRXFRM_LEVEL6          0x00000020 /* sixth level weights   */
 #define MY_STRXFRM_LEVEL_ALL       0x0000003F /* Bit OR for the above six */
 #define MY_STRXFRM_NLEVELS         6          /* Number of possible levels*/
 
 #define MY_STRXFRM_PAD_WITH_SPACE  0x00000040 /* if pad result with spaces */
-#define MY_STRXFRM_UNUSED_00000080 0x00000080 /* for future extensions     */
 
 #define MY_STRXFRM_DESC_LEVEL1     0x00000100 /* if desc order for level1 */
-#define MY_STRXFRM_DESC_LEVEL2     0x00000200 /* if desc order for level2 */
-#define MY_STRXFRM_DESC_LEVEL3     0x00000300 /* if desc order for level3 */
-#define MY_STRXFRM_DESC_LEVEL4     0x00000800 /* if desc order for level4 */
-#define MY_STRXFRM_DESC_LEVEL5     0x00001000 /* if desc order for level5 */
-#define MY_STRXFRM_DESC_LEVEL6     0x00002000 /* if desc order for level6 */
 #define MY_STRXFRM_DESC_SHIFT      8
 
-#define MY_STRXFRM_UNUSED_00004000 0x00004000 /* for future extensions     */
-#define MY_STRXFRM_UNUSED_00008000 0x00008000 /* for future extensions     */
-
 #define MY_STRXFRM_REVERSE_LEVEL1  0x00010000 /* if reverse order for level1 */
-#define MY_STRXFRM_REVERSE_LEVEL2  0x00020000 /* if reverse order for level2 */
-#define MY_STRXFRM_REVERSE_LEVEL3  0x00040000 /* if reverse order for level3 */
-#define MY_STRXFRM_REVERSE_LEVEL4  0x00080000 /* if reverse order for level4 */
-#define MY_STRXFRM_REVERSE_LEVEL5  0x00100000 /* if reverse order for level5 */
-#define MY_STRXFRM_REVERSE_LEVEL6  0x00200000 /* if reverse order for level6 */
 #define MY_STRXFRM_REVERSE_SHIFT   16
 
 
@@ -320,9 +291,6 @@
 
 };
 
-#define ILLEGAL_CHARSET_INFO_NUMBER (UINT32_MAX)
-
-
 extern DRIZZLED_API charset_info_st my_charset_bin;
 extern DRIZZLED_API charset_info_st my_charset_utf8mb4_bin;
 extern DRIZZLED_API charset_info_st my_charset_utf8mb4_general_ci;

=== modified file 'drizzled/common.h'
--- drizzled/common.h	2011-03-27 00:17:27 +0000
+++ drizzled/common.h	2011-04-20 23:28:41 +0000
@@ -77,12 +77,6 @@
 /** If not set then the thread will ignore all warnings with level notes. */
 #define OPTION_SQL_NOTES                (UINT64_C(1) << 31) // THD, user
 
-/**
-  Maximum length of time zone name that we support
-  (Time zone name is char(64) in db). mysqlbinlog needs it.
-*/
-#define MAX_TIME_ZONE_NAME_LENGTH       (NAME_LEN + 1)
-
 #define HOSTNAME_LENGTH 60
 #define SYSTEM_CHARSET_MBMAXLEN 4
 #define USERNAME_CHAR_LENGTH 16

=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2011-03-14 05:40:28 +0000
+++ drizzled/definitions.h	2011-04-20 23:30:52 +0000
@@ -439,7 +439,6 @@
 #define FN_LIBCHAR  '/'
 #define FN_ROOTDIR  "/"
 #endif
-#define MY_NFILE  64  /* This is only used to save filenames */
 #ifndef OS_FILE_LIMIT
 #define OS_FILE_LIMIT  65535
 #endif

=== modified file 'drizzled/internal/m_string.h'
--- drizzled/internal/m_string.h	2011-03-14 05:40:28 +0000
+++ drizzled/internal/m_string.h	2011-04-20 23:31:05 +0000
@@ -94,14 +94,6 @@
 */
 #define MAX_DECPT_FOR_F_FORMAT DBL_DIG
 
-/*
-  The maximum possible field width for my_gcvt() conversion.
-  (DBL_DIG + 2) significant digits + sign + "." + ("e-NNN" or
-  MAX_DECPT_FOR_F_FORMAT zeros for cases when |x|<1 and the 'f' format is used).
-*/
-#define MY_GCVT_MAX_FIELD_WIDTH (DBL_DIG + 4 + cmax(5, MAX_DECPT_FOR_F_FORMAT))
-
-
 extern char *llstr(int64_t value,char *buff);
 extern char *ullstr(int64_t value,char *buff);
 

=== modified file 'drizzled/internal/my_pthread.h'
--- drizzled/internal/my_pthread.h	2011-04-18 16:12:36 +0000
+++ drizzled/internal/my_pthread.h	2011-04-20 23:31:34 +0000
@@ -45,10 +45,6 @@
 namespace internal
 {
 
-#define pthread_key(T,V) pthread_key_t V
-#define pthread_handler_t void *
-typedef void *(* pthread_handler)(void *);
-
 #if !defined(HAVE_PTHREAD_YIELD_ONE_ARG) && !defined(HAVE_PTHREAD_YIELD_ZERO_ARG)
 /* no pthread_yield() available */
 #ifdef HAVE_SCHED_YIELD

=== modified file 'drizzled/internal/my_redel.cc'
--- drizzled/internal/my_redel.cc	2011-03-28 04:32:12 +0000
+++ drizzled/internal/my_redel.cc	2011-04-20 23:31:55 +0000
@@ -46,8 +46,6 @@
 	  is renamed to org_name-'current_time'.BAK
 	*/
 
-#define REDEL_EXT ".BAK"
-
 int my_redel(const char *org_name, const char *tmp_name, myf MyFlags)
 {
   int error=1;

=== modified file 'drizzled/internal/my_static.h'
--- drizzled/internal/my_static.h	2011-03-28 04:49:00 +0000
+++ drizzled/internal/my_static.h	2011-04-20 23:32:43 +0000
@@ -22,10 +22,8 @@
 
 #include <signal.h>
 
-#define MAX_SIGNALS	10		/* Max signals under a dont-allow */
 #define MIN_KEYBLOCK	(min(IO_SIZE,1024))
 #define MAX_KEYBLOCK	8192		/* Max keyblocklength == 8*IO_SIZE */
-#define MAX_BLOCK_TYPES MAX_KEYBLOCK/MIN_KEYBLOCK
 
 namespace drizzled
 {

=== modified file 'drizzled/internal/my_sys.h'
--- drizzled/internal/my_sys.h	2011-03-28 14:13:55 +0000
+++ drizzled/internal/my_sys.h	2011-04-20 23:32:57 +0000
@@ -102,7 +102,6 @@
 
 #define ME_OLDWIN	2	/* Use old window */
 #define ME_BELL		4	/* Ring bell then printing message */
-#define ME_HOLDTANG	8	/* Don't delete last keys */
 #define ME_WAITTANG	32	/* Wait for a user action  */
 #define ME_NOREFRESH	64	/* Dont refresh screen */
 #define ME_NOINPUT	128	/* Dont use the input libary */

=== modified file 'drizzled/korr.h'
--- drizzled/korr.h	2011-03-14 05:40:28 +0000
+++ drizzled/korr.h	2011-04-20 23:30:24 +0000
@@ -76,7 +76,6 @@
 #define doublestore(T,V) do { *((long *) T) = ((doubleget_union *)&V)->m[0]; \
 			     *(((long *) T)+1) = ((doubleget_union *)&V)->m[1]; \
                          } while (0)
-#define float4get(V,M)   do { *((float *) &(V)) = *((float*) (M)); } while(0)
 #define float8get(V,M)   doubleget((V),(M))
 #define floatstore(T,V)  memcpy((T), (&V), sizeof(float))
 #define float8store(V,M) doublestore((V),(M))
@@ -88,14 +87,6 @@
 */
 #define sint2korr(A)	(int16_t) (((int16_t) ((unsigned char) (A)[0])) +\
 				 ((int16_t) ((int16_t) (A)[1]) << 8))
-#define sint3korr(A)	((int32_t) ((((unsigned char) (A)[2]) & 128) ? \
-				  (((uint32_t) 255L << 24) | \
-				   (((uint32_t) (unsigned char) (A)[2]) << 16) |\
-				   (((uint32_t) (unsigned char) (A)[1]) << 8) | \
-				   ((uint32_t) (unsigned char) (A)[0])) : \
-				  (((uint32_t) (unsigned char) (A)[2]) << 16) |\
-				  (((uint32_t) (unsigned char) (A)[1]) << 8) | \
-				  ((uint32_t) (unsigned char) (A)[0])))
 #define sint4korr(A)	(int32_t) (((int32_t) ((unsigned char) (A)[0])) +\
 				(((int32_t) ((unsigned char) (A)[1]) << 8)) +\
 				(((int32_t) ((unsigned char) (A)[2]) << 16)) +\

=== modified file 'drizzled/my_hash.h'
--- drizzled/my_hash.h	2011-03-28 02:46:21 +0000
+++ drizzled/my_hash.h	2011-04-20 23:33:10 +0000
@@ -83,7 +83,5 @@
 bool my_hash_insert(HASH *info,const unsigned char *data);
 bool hash_delete(HASH *hash,unsigned char *record);
 
-#define hash_inited(H) ((H)->array.buffer != 0)
-
 } /* namespace drizzled */
 

=== modified file 'drizzled/option.h'
--- drizzled/option.h	2011-03-26 17:26:44 +0000
+++ drizzled/option.h	2011-04-20 23:33:34 +0000
@@ -29,15 +29,10 @@
 #define GET_ULL        8
 #define GET_STR        9
 #define GET_STR_ALLOC 10
-#define GET_DISABLED  11
-#define GET_ENUM      12
-#define GET_SET       13
-#define GET_DOUBLE    14
 #define GET_SIZE      15
 #define GET_UINT64    16
 #define GET_ULONG_IS_FAIL 17
 
-#define GET_ASK_ADDR	 128
 #define GET_TYPE_MASK	 127
 
 enum loglevel {

=== modified file 'drizzled/plugin.h'
--- drizzled/plugin.h	2011-03-28 23:02:08 +0000
+++ drizzled/plugin.h	2011-04-20 23:34:41 +0000
@@ -75,18 +75,7 @@
 */
 
 
-#define PLUGIN_VAR_BOOL         0x0001
-#define PLUGIN_VAR_INT          0x0002
-#define PLUGIN_VAR_LONG         0x0003
-#define PLUGIN_VAR_LONGLONG     0x0004
-#define PLUGIN_VAR_STR          0x0005
-#define PLUGIN_VAR_UNSIGNED     0x0080
-#define PLUGIN_VAR_SessionLOCAL     0x0100 /* Variable is per-connection */
 #define PLUGIN_VAR_READONLY     0x0200 /* Server variable is read only */
-#define PLUGIN_VAR_NOSYSVAR     0x0400 /* Not a server variable */
-#define PLUGIN_VAR_NOCMDOPT     0x0800 /* Not a command line option */
-#define PLUGIN_VAR_NOCMDARG     0x1000 /* No argument for cmd line */
-#define PLUGIN_VAR_RQCMDARG     0x0000 /* Argument required for cmd line */
 #define PLUGIN_VAR_OPCMDARG     0x2000 /* Argument optional for cmd line */
 #define PLUGIN_VAR_MEMALLOC     0x8000 /* String needs memory allocated */
 

=== modified file 'drizzled/schema.cc'
--- drizzled/schema.cc	2011-03-23 14:35:15 +0000
+++ drizzled/schema.cc	2011-04-20 23:30:09 +0000
@@ -45,8 +45,6 @@
 #include <drizzled/catalog/instance.h>
 #include <boost/thread/mutex.hpp>
 
-#define MAX_DROP_TABLE_Q_LEN      1024
-
 using namespace std;
 
 namespace drizzled {

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2011-03-28 02:46:21 +0000
+++ drizzled/sql_select.cc	2011-04-20 23:29:53 +0000
@@ -1209,9 +1209,6 @@
   return tmp;
 }
 
-#define ICP_COND_USES_INDEX_ONLY 10
-
-
 /**
   cleanup JoinTable.
 */

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2011-04-15 13:22:35 +0000
+++ drizzled/table.cc	2011-04-20 23:28:17 +0000
@@ -730,10 +730,6 @@
                               be used for name resolving; can be "".
 */
 
-#define STRING_TOTAL_LENGTH_TO_PACK_ROWS 128
-#define AVG_STRING_LENGTH_TO_PACK_ROWS   64
-#define RATIO_TO_PACK_ROWS	       2
-
 Table *
 create_tmp_table(Session *session,Tmp_Table_Param *param,List<Item> &fields,
 		 Order *group, bool distinct, bool save_sum_fields,

